function coef = lowpass(N, omega, scale)

phi = 0;
dphi = 2*omega;
if (mod(N, 2) == 0)
	M = N/2;
	for i=0:M-1,
		phi = phi + dphi;
		coef(M+i+1) = scale*sinc(phi);
		coef(M-i-1+1) = coef(M+i+1);
	end;
else
	M = (N-1)/2;
	for i=1:M,
		phi = phi + dphi;
		coef(M+i+1) = scale*sinc(phi);
		coef(M-i+1) = coef(M+i+1);
	end;
	coef(M+1) = scale*Sinc(0.0);
end;
